Package org.apache.wiki.plugin

## Class Denounce

- java.lang.Object
- - org.apache.wiki.plugin.Denounce

All Implemented Interfaces:
  `Plugin`

    public class Denounce
    extends java.lang.Object
    implements Plugin

Denounces a link by removing it from any search engine.
The bots are listed in org/apache/wiki/plugin/denounce.properties.

Parameters :

- link - The link to be denounced, this parameter is required
- text - The text to use, defaults to the link

Since:
  2.1.40.

### Field Summary

Fields
`static java.lang.String` `PARAM_LINK` Parameter name for setting the link.
`static java.lang.String` `PARAM_TEXT` Parameter name for setting the text.

### Fields inherited from interface org.apache.wiki.api.plugin.Plugin

`CORE_PLUGINS_RESOURCEBUNDLE`

### Constructor Summary

Constructors
`Denounce()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `execute​(Context context, java.util.Map<java.lang.String,​java.lang.String> params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PARAM_LINK

    public static final java.lang.String PARAM_LINK

Parameter name for setting the link. Value is `"link"`.

See Also:
  Constant Field Values

#### PARAM_TEXT

    public static final java.lang.String PARAM_TEXT

Parameter name for setting the text. Value is `"text"`.

See Also:
  Constant Field Values

### Constructor Detail

#### Denounce

    public Denounce()

### Method Detail

#### execute

    public java.lang.String execute​(Context context,
                                    java.util.Map<java.lang.String,​java.lang.String> params)
                             throws PluginException

Specified by:
  `execute` in interface `Plugin`
Throws:
  `PluginException`